local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1243 -- Power Word: Fortitude

	-- Shadow Word: Pain
	self:NewSpell({
		spellID = 10892,
		debuff = true,
		dot = 3,
		refreshable = true,
		requiredTalent = {3,19}, 
	})

	-- Vampiric Touch
	self:NewSpell({
		spellID = 48160,
		cast = true,
		debuff = true,
		dot = 3,
		stance = 1,
		requiredTalent = {3,24},
		hasted = {3,19},
		expectedTicks = 5,
	})

	-- Mind Blast
	self:NewSpell({
		spellID = 8092,
		cast = true,
		cooldown = true,
		stance = 1,
		requiredTalent = {3,19}, 
	})

	-- Devouring Plague
	self:NewSpell({
		spellID = 25467,
		debuff = true,
		cooldown = true,
		dot = 3,
		refreshable = true,
		stance = 1,
		requiredTalent = {3,19}, 
		hasted = {3,19},
		expectedTicks = 8,
	})

	-- Shadow Word: Death
	self:NewSpell({
		spellID = 32379,
		cooldown = true,
		stance = 1,
		requiredTalent = {3,19}, 
	})

	-- Mind Flay
	self:NewSpell({
		spellID = 48156,
		channeled = true,
		numhits = 3,
		stance = 1,
		requiredTalent = {3,19}, 
	})

	--[[ Shadow Weaving
	self:NewSpell({
		spellID = 15332,
		playerbuff = true,
		requiredTalent = {3,12},
	})--]]

	-- Renew
	self:NewSpell({
		spellID = 139,
		playerbuff = true,
		auraunit = 'target',
		dot = 3,
		stance = 0,
	})
	
	-- Penance (including Grace) -- Also EASILY the longest spell entry in EventHorizon to date. Uses an absurd amount nonstandard types!
	self:NewSpell({
		spellID = 53005,
		playerbuff = 47930,
		auraunit = 'target',
		channeled = true,
		numhits = 2,
		cooldown = true,
		stance = 0,
		requiredTalent = {1,28},
		cleu = 'SPELL_HEAL', -- Usage of config.cleu (alias: config.event), may also add as a table for multiple events
	})
	-- Lesser Heal (including Serendipity)
	self:NewSpell({
		spellID = 2061,
		playerbuff = 63731,
		cast = true,
		stance = 0,
	})
	
	-- Greater Heal (including Inspiration/Ancestral Fortitude)
	self:NewSpell({
		spellID = 2060,
		playerbuff = {15359, 16237},
		unique = true,
		cast = true,
		auraunit = 'target',
		stance = 0,
	})
	
	-- Circle of Healing
	self:NewSpell({
		spellID = 34863,
		cooldown = true,
		stance = 0,
		requiredTalent = {2,24},
	})
	
	-- Prayer of Healing (including glyph)
	self:NewSpell({
		spellID = 596,
		playerbuff = 55680,
		cast = true,
		auraunit = 'target',
		stance = 0,
	})

	-- Weakened Soul (Can't track PW:S on the same bar yet)
	self:NewSpell({
		spellID = 6788,
		debuff = true,
		unique = true,
		auraunit = 'target',
		stance = 0,
	})
	return true
end

