local config = EventHorizon.config

function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 57960 -- Water Shield

	-- Stormstrike
	self:NewSpell({
		spellID = 17364,
		cooldown = true,
		requiredTalent = {2,21},
	})
	
	-- Lava Lash
	self:NewSpell({
		spellID = 60103,
		cooldown = true,
		requiredTalent = {2,23},
	})

	-- Earth Shock
	self:NewSpell({
		spellID = 49231,
		cooldown = true,
		requiredTalent = {2,20}, -- Shamanistic Focus
	})

	-- Flame Shock
	self:NewSpell({
		spellID = 49233,
		debuff = true,
		dot = 3,
		cooldown = true,
		requiredTalent = {1,2}, -- We just don't need it as resto.
	})
	
	-- Maelstrom Weapon
	self:NewSpell({
		spellID = 53817,
		playerbuff = true,
		requiredTalent = {2,28},
	})

	-- Lava Burst
	self:NewSpell({
		spellID = 60043,
		cast = true,
		cooldown = true,
		requiredTalent = {1,15},
	})
	
	-- Lightning Bolt
	self:NewSpell({
		spellID = 49238,
		cast = true,
		requiredTalent = {1,15},
	})
	
	-- Chain Lightning
	self:NewSpell({
		spellID = 49271,
		cast = true,
		cooldown = true,
		requiredTalent = {1,15},
	})

	-- Thunderstorm
	self:NewSpell({
		spellID = 51490,
		cooldown = true,
		requiredTalent = {1,25},
	})
		
	-- Earthliving Weapon
	self:NewSpell({
		spellID = 52000,
		playerbuff = true,
		refreshable = true,
		auraunit = "target",
		requiredTalent = {3,17},
	})
	
	-- Riptide
	self:NewSpell({
		spellID = 61300,
		playerbuff = true,
		auraunit = "target",
		requiredTalent = {3,26},
	})
	
	-- Lesser Healing Wave (including Ancestral Fortitude/Inspiration)
	self:NewSpell({
		spellID = 10468,
		playerbuff = {15359, 16237},
		auraunit = "target",
		cast = true,
		requiredTalent = {3,17},
	})
	
	-- Healing Wave, secondary effect TBA
	self:NewSpell({
		spellID = 25357,
		cast = true,
		requiredTalent = {3,17},
	})
	
	-- Chain Heal (including Tidal Waves)
	self:NewSpell({
		spellID = 1064,
		playerbuff = 53390,
		auraunit = "target",
		cast = true,
		requiredTalent = {3,17},
	})
	
	-- Earth Shield
	self:NewSpell({
		spellID = 49284,
		playerbuff = true,
		auraunit = "target",
		requiredTalent = {3,23},
	})
	return true

end

