EventHorizon_Vitals.color = {
	fade = 0.5,				-- Severity of the text fade when power is at "base" levels.
	
	-- Individual power type colors.
	ERROR = {1,1,1},		-- When exiting some vehicles, UnitPowerType returns an invalid value.
	MANA = {true},
	RAGE = {true},
	ENERGY = {true},
	RUNIC_POWER = {true},
	POWER_TYPE_STEAM = {0.5,1,0.5},
	FUEL = {0.5,1,0.5},
	POWER_TYPE_PYRITE = {0.5,0.5,1},
	
	-- Weapon enchant color
	weaponfresh = {true,1,0.5},
	weaponhalf = {true,1,0.7},
	weaponexpiring = {true},
	weaponseparator = {true,1,0.5},
	
	-- Individual combopoint colors.
	c0 = {.3,.3,.3},
	c1 = {.5,.5,.5},
	c2 = {.7,.7,.7},
	c3 = {1,1,1},
	c4 = {1,0,0},
	c5 = {1,0,0},
	
	-- Rune type colors.
	r1 = {1,0,0},					-- Blood
	r2 = {0.5,1,0},					-- Unholy
	r3 = {0,0.5,1},					-- Frost
	r4 = {0.7,0,1},					-- Death
}

EventHorizon_Vitals.config = {
	font = "Fonts\\FRIZQT__.TTF",
	runeFontSize = 14,		-- Size of the rune display font (above)
	enchantFontSize = 10,	-- Size of weapon enchant text.
	fontSize = 14,			-- Size of all other displayed text.
	textOffset = {2,0},		-- Offset of displays from the left and right edges of the EventHorizon_Vitals frame, format {x,y}
	
	runeFont = "Fonts\\FRIZQT__.TTF",
	runeReady = "*",		-- Character to use for ready runes.
	runeCooling = " ",		-- Character to use when runes are on cooldown and cooldown display conditions are not met.
	runeCountdown = 4,		-- Show rune cooldown at this many seconds remaining. Setting to 0, nil, or false will disable the cooldown function completely and save you some CPU cycles.
	runeSpacing = 12,		-- Spacing between DK runes. Note that the optimal number will depend on font and font size.
	runeOffset = 0,			-- VERTICAL offset of the rune display. Optimal number will depend on font and chosen cooldown settings.
	
	position = 'top',		-- Side of EH's frame to anchor to. Valid entries are 'top' or 'bottom'.
	offset = 7,				-- Separation from EH's frame. Note that this does NOT include either addon's background/border.
	
	height = 15,			-- Height of the frame, discluding the background.

	point = {"TOPLEFT", UIParent, "CENTER", 100, -100},		-- Anchor point of the frame if EventHorizon isn't found.
	width = 150,			-- Sets frame width. Only used if EventHorizon isn't found.
	
	classburn = 1,			-- Darkens the class coloring used for certain text fields. Lower amounts are darker.
	classalpha = 1,			-- Fades the class coloring used for certain text fields. Lower amounts are less opaque.
}

EventHorizon_Vitals.backdrop = {
	backdrop = true,		-- Set to false or nil to disable the background/border for a freefloating display.
	bgFile = "Interface\\ChatFrame\\ChatFrameBackground",
	borderFile = "Interface\\Tooltips\\UI-Tooltip-Border",
	bgColor = {0,0,0,0.5},
	borderColor = {1,1,1,1},
	inset = {top = 2, bottom = 2, left = 2, right = 2},
	padding = 3,
	edgesize = 8,
}